> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/fairbid-sdk/sdk-reference/ad-audio.md).

# Ad Audio

If your app allows users to mute sound effects or music independently from the device volume controls, ensure a seamless audio experience by displaying ads that follow the same audio settings as your app. For example, if a user mutes sound effects or music in your app, display ads that are also muted.

Use the following API to mute the audio in ads:

{% tabs %}
{% tab title="Android" %}
{% code title="Kotlin" %}

```kotlin
FairBid.Settings.setMuted(true)
```

{% endcode %}

{% code title="Java" %}

```java
FairBid.Settings.setMuted(true);
```

{% endcode %}

If you wish to start the SDK with muted ads, make sure you call this API before starting the SDK:

{% code title="Kotlin" %}

```kotlin
FairBid.Settings.setMuted(true)
FairBid.start(appId, activity)
```

{% endcode %}

{% code title="Java" %}

```java
FairBid.Settings.setMuted(true);
FairBid.start(appId, activity);

```

{% endcode %}
{% endtab %}

{% tab title="iOS" %}
{% code title="Swift" %}

```swift
//getter
let isMuted = FairBid.settings().isMuted
//setter
FairBid.settings().isMuted = true
```

{% endcode %}

{% code title="Objective-C" %}

```objective-c
//getter
BOOL isMuted = FairBid.settings.isMuted;
//setter
FairBid.settings.muted = true;
```

{% endcode %}
{% endtab %}

{% tab title="Unity" %}
{% code title="C#" %}

```csharp
using Fyber;

Settings.SetMuted(true);
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Ad Audio Networks <a href="#h_01jcdrtjbp0hgkt2spkzgftg5h" id="h_01jcdrtjbp0hgkt2spkzgftg5h"></a>

The following networks are compatible with the ad audio mute setting:

{% tabs %}
{% tab title="Android" %}

* AdMob/Google Bidding
* AppLovin
* DT Exchange (Interstitial only)
* InMobi
* Liftoff Monetize
* Mintegral
* Verve
  {% endtab %}

{% tab title="iOS" %}

* AdMob/Google Bidding
* AppLovin
* Chartboost
* DT Exchange (Interstitial only)
* Google Ad Manager
* InMobi
* Liftoff Monetize
* Mintegral
  {% endtab %}

{% tab title="Unity" %}
**Unity-Android:**

* AdMob/Google Bidding
* AppLovin
* DT Exchange (Interstitial only)
* InMobi
* Liftoff Monetize
* Mintegral
* Verve

**Unity-iOS:**

* AdMob/Google Bidding
* AppLovin
* Chartboost
* DT Exchange (Interstitial only)
* InMobi
* Liftoff Monetize
* Mintegral
* Verve
  {% endtab %}
  {% endtabs %}

{% hint style="info" %}

* The ad audio mute setting does not affect ads from networks that are not listed above or programmatic ads rendered by DT FairBid.
* For ads from AdMob/Google Bidding and DT Exchange, apply the mute setting **before** the ad is requested. If an ad is already loaded on the device before the user mutes the sound in the application (which applies the ad audio mute setting), the loaded ad still shows with audio.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-fairbid/fairbid-sdk/sdk-reference/ad-audio.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
